> ## Documentation Index
> Fetch the complete documentation index at: https://pinata-mintlify-5df45191.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Update the name and key-value metadata stored for a pinned IPFS CID on Pinata's legacy IPFS API. The underlying pinned content stays untouched.

# Update File Metadata



## OpenAPI

````yaml put /pinning/hashMetadata
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /pinning/hashMetadata:
    put:
      summary: Update File Metadata
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ipfsPinHash:
                  type: string
                  description: CID for the file to be updated
                name:
                  type: string
                  description: Updated name for file
                keyvalues:
                  type: object
                  additionalProperties: true
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: string
                example: OK
      security:
        - bearerAuth: []
      servers:
        - url: https://api.pinata.cloud
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````